events.listen('recipes', event => {

//Consistency Fixes

event.replaceOutput({}, '#forge:storage_blocks/steel', 'immersiveengineering:storage_steel')
event.replaceOutput({}, '#forge:storage_blocks/copper', 'mekanism:block_copper')
event.replaceOutput({}, '#forge:storage_blocks/tin', 'mekanism:block_tin')
event.replaceOutput({}, '#forge:storage_blocks/osmium', 'mekanism:block_osmium')
event.replaceOutput({}, '#forge:storage_blocks/uranium', 'mekanism:block_uranium')
event.replaceOutput({}, '#forge:storage_blocks/lead', 'mekanism:block_lead')
event.replaceOutput({}, '#forge:storage_blocks/bronze', 'mekanism:block_bronze')
event.replaceOutput({}, '#forge:storage_blocks/silver', 'thermal:silver_block')
event.replaceOutput({}, '#forge:storage_blocks/electrum', 'thermal:electrum_block')
event.replaceOutput({}, '#forge:storage_blocks/nickel', 'thermal:nickel_block')
event.replaceOutput({}, '#forge:storage_blocks/constantan', 'thermal:constantan_block')
event.replaceOutput({}, '#forge:storage_blocks/aluminum', 'immersiveengineering:storage_aluminum')
event.replaceOutput({}, '#forge:storage_blocks/iron', 'minecraft:iron_block')
event.replaceOutput({}, '#forge:storage_blocks/gold', 'minecraft:gold_block')
event.replaceOutput({}, '#forge:storage_blocks/zinc', 'create:zinc_block')

event.replaceOutput({}, '#forge:ingots/steel', 'immersiveengineering:ingot_steel')
event.replaceOutput({}, '#forge:ingots/copper', 'mekanism:ingot_copper')
event.replaceOutput({}, '#forge:ingots/tin', 'mekanism:ingot_tin')
event.replaceOutput({}, '#forge:ingots/osmium', 'mekanism:ingot_osmium')
event.replaceOutput({}, '#forge:ingots/uranium', 'mekanism:ingot_uranium')
event.replaceOutput({}, '#forge:ingots/lead', 'mekanism:ingot_lead')
event.replaceOutput({}, '#forge:ingots/bronze', 'mekanism:ingot_bronze')
event.replaceOutput({}, '#forge:ingots/silver', 'thermal:silver_ingot')
event.replaceOutput({}, '#forge:ingots/electrum', 'thermal:electrum_ingot')
event.replaceOutput({}, '#forge:ingots/nickel', 'thermal:nickel_ingot')
event.replaceOutput({}, '#forge:ingots/constantan', 'thermal:constantan_ingot')
event.replaceOutput({}, '#forge:ingots/aluminum', 'immersiveengineering:ingot_aluminum')
event.replaceOutput({}, '#forge:ingots/iron', 'minecraft:iron_ingot')
event.replaceOutput({}, '#forge:ingots/gold', 'minecraft:gold_ingot')
event.replaceOutput({}, '#forge:ingots/zinc', 'create:zinc_ingot')

event.replaceOutput({}, '#forge:dusts/steel', 'immersiveengineering:dust_steel')
event.replaceOutput({}, '#forge:dusts/copper', 'thermal:copper_dust')
event.replaceOutput({}, '#forge:dusts/tin', 'thermal:tin_dust')
event.replaceOutput({}, '#forge:dusts/osmium', 'mekanism:dust_osmium')
event.replaceOutput({}, '#forge:dusts/uranium', 'mekanism:dust_uranium')
event.replaceOutput({}, '#forge:dusts/lead', 'thermal:lead_dust')
event.replaceOutput({}, '#forge:dusts/bronze', 'thermal:bronze_dust')
event.replaceOutput({}, '#forge:dusts/silver', 'thermal:silver_dust')
event.replaceOutput({}, '#forge:dusts/electrum', 'thermal:electrum_dust')
event.replaceOutput({}, '#forge:dusts/nickel', 'thermal:nickel_dust')
event.replaceOutput({}, '#forge:dusts/constantan', 'thermal:constantan_dust')
event.replaceOutput({}, '#forge:dusts/iron', 'thermal:iron_dust')
event.replaceOutput({}, '#forge:dusts/gold', 'thermal:gold_dust')
event.replaceOutput({}, '#forge:dusts/aluminum', 'immersiveengineering:dust_aluminum')
event.replaceOutput({}, '#forge:dusts/zinc', 'jaopca:dusts.zinc')

event.replaceOutput({}, '#forge:plates/iron', 'immersiveengineering:plate_iron')
event.replaceOutput({}, '#forge:plates/copper', 'immersiveengineering:plate_copper')
event.replaceOutput({}, '#forge:plates/lead', 'immersiveengineering:plate_lead')
event.replaceOutput({}, '#forge:plates/silver', 'immersiveengineering:plate_silver')
event.replaceOutput({}, '#forge:plates/electrum', 'immersiveengineering:plate_electrum')
event.replaceOutput({}, '#forge:plates/nickel', 'immersiveengineering:plate_nickel')
event.replaceOutput({}, '#forge:plates/constantan', 'immersiveengineering:plate_constantan')
event.replaceOutput({}, '#forge:plates/gold', 'immersiveengineering:plate_gold')

event.replaceOutput({}, 'jaopca:create_crushed_ores.osmium', 'mekanism:dust_osmium')

event.replaceOutput({}, '#forge:dusts/sulfur', 'thermal:sulfur_dust')
event.replaceInput({type: 'minecraft:crafting_shaped'}, 'quantumstorage:chestdiamond', 'ironchest:crystal_chest')

//Wood Cutters

event.replaceInput({id: 'corail_woodcutter:oak_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')
event.replaceInput({id: 'corail_woodcutter:birch_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')
event.replaceInput({id: 'corail_woodcutter:spruce_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')
event.replaceInput({id: 'corail_woodcutter:jungle_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')
event.replaceInput({id: 'corail_woodcutter:dark_oak_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')
event.replaceInput({id: 'corail_woodcutter:acacia_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')
event.replaceInput({id: 'corail_woodcutter:warped_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')
event.replaceInput({id: 'corail_woodcutter:crimson_woodcutter'}, 'minecraft:iron_ingot', 'woodenutilities:wooden_plate')

//Powah Reactors

event.replaceInput({id: 'powah:crafting/reactor_basic'}, 'powah:dielectric_casing', 'powah:reactor_starter')
event.replaceInput({id: 'powah:crafting/reactor_hardened'}, 'powah:dielectric_casing', 'powah:reactor_basic')
event.replaceInput({id: 'powah:crafting/reactor_blazing'}, 'powah:dielectric_casing', 'powah:reactor_hardened')
event.replaceInput({id: 'powah:crafting/reactor_niotic'}, 'powah:dielectric_casing', 'powah:reactor_blazing')
event.replaceInput({id: 'powah:crafting/reactor_spirited'}, 'powah:dielectric_casing', 'powah:reactor_niotic')
event.replaceInput({id: 'powah:crafting/reactor_nitro'}, 'powah:dielectric_casing', 'powah:reactor_spirited')

event.shapeless(item.of('thermal:nickel_ingot', 1), ['9x #forge:nuggets/nickel'])
event.shapeless(item.of('thermal:silver_ingot', 1), ['9x #forge:nuggets/silver'])
event.shapeless(item.of('thermal:electrum_ingot', 1), ['9x #forge:nuggets/electrum'])
event.shapeless(item.of('thermal:constantan_ingot', 1), ['9x #forge:nuggets/constantan'])
event.shapeless(item.of('immersiveengineering:ingot_aluminum', 1), ['9x #forge:nuggets/aluminum'])
event.shapeless(item.of('thermal:nickel_block', 1), ['9x #forge:ingots/nickel'])
event.shapeless(item.of('thermal:silver_block', 1), ['9x #forge:ingots/silver'])
event.shapeless(item.of('thermal:electrum_block', 1), ['9x #forge:ingots/electrum'])
event.shapeless(item.of('thermal:constantan_block', 1), ['9x #forge:ingots/constantan'])
event.shapeless(item.of('immersiveengineering:storage_aluminum', 1), ['9x #forge:ingots/aluminum'])

})